Skip to main content
POST
Builder fills

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
builderFills
builder
string
required

Builder address (the builder code)

startTime
integer

Epoch ms, inclusive lower bound. Optional

endTime
integer

Epoch ms, upper bound

limit
integer
default:500
Required range: 1 <= x <= 5000

Response

Fills through the builder, newest first

coin
string
px
string
sz
string
side
enum<string>
Available options:
A,
B
time
integer

Fill time (ms)

startPosition
string
dir
string
closedPnl
string
hash
string
oid
integer
crossed
boolean
tid
integer
fee
string
feeToken
string
twapId
integer | null

Parent TWAP, null for an ordinary fill

cloid
string | null
builderFee
string

Builder fee paid on this fill

builder
string

Builder address